%define		kdeappsver	21.12.0
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kspaceduel
Summary:	kspaceduel
Name:		ka5-%{kaname}
Version:	21.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ffea45e2d9544a7c2cb3e148399dc464
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	gettext-devel
BuildRequires:	ka5-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In KSpaceDuel each of two possible players control a satellite
spaceship orbiting the sun. As the game progresses players have to
eliminate the opponent's spacecraft with bullets or mines.

%description -l pl.UTF-8
W KSpaceDuelu każdy z dwóch możliwych graczy kontroluje statek
kosmiczny orbitujący wokół słońca. W czasie trwania gry gracze
muszą eliminować statki rywala używając pocisków lub min.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kspaceduel
%{_desktopdir}/org.kde.kspaceduel.desktop
%{_datadir}/config.kcfg/kspaceduel.kcfg
%{_iconsdir}/hicolor/128x128/apps/kspaceduel.png
%{_iconsdir}/hicolor/16x16/apps/kspaceduel.png
%{_iconsdir}/hicolor/22x22/apps/kspaceduel.png
%{_iconsdir}/hicolor/32x32/apps/kspaceduel.png
%{_iconsdir}/hicolor/48x48/apps/kspaceduel.png
%{_iconsdir}/hicolor/64x64/apps/kspaceduel.png
%{_datadir}/kspaceduel
%{_datadir}/metainfo/org.kde.kspaceduel.appdata.xml
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kspaceduel.git;a=log;h=master

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0411a85
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c292542
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 61cf841
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 380934c
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7a543f2
- updated to 21.08.0

* Wed Aug 04 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 09f0155
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> eca733e
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b83314
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4a83447
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d945e43
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 702072e
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 8401053
- updated to 19.04.1
- packaged docs
- macro kframever

* Sun Jan 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> cc2cfe7
- updated to 18.12.1; ninja

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3ec2041
- updated to 18.12.0

